[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Lilypond 1.5.60 for Windows

From: Mats Bengtsson
Subject: Re: Lilypond 1.5.60 for Windows
Date: Mon, 17 Jun 2002 10:50:09 +0200

> I have just installed the new experimental release of 1.5.60 and it 
> works under windows.
> However, when runing some old .ly files, I get some funny behaviour in 
> several points even jumps to the wrong octaves of notes.

That's strange. Could you please send some small example?

> question: Is it possible to run both my old 1.4.xx version of Lilypond =
> and the newer. They are located in different directories but how do you =
> activate the old version from the cygwin shell?

In principle, it's just a matter of setting some 
environment variables, including $PATH.
Take a look at the two files /etc/profile.d/
and /etc/profile.d/ to see what settings
are needed. Whatch out that the settings may look fairly 
different between 1.4.x and 1.5.x unless you use 1.4.14
(which incorporates the new font installation approach
from 1.5.xx).

Actually, it's a bit silly that the settings use the long 
directory names /usr/lilypond-1.x.xx-xxx/, instead of the 
soft link /usr/lilypond/. Then it would be extremely simple 
to switch between versions, just to redirect the soft link.
You may also have to clean the dpiNNN/ directories that
probably appear in your home directory, to get correct
font symbols (the font has been updated between the versions).


reply via email to

[Prev in Thread] Current Thread [Next in Thread]